package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.T_e_s_t_w_fRepository;
import com.realnet.basicp1.Entity.T_e_s_t_w_f;import java.util.List;
import java.util.ArrayList;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;import org.springframework.data.domain.Pageable;
import org.springframework.http.ResponseEntity;
import com.realnet.users.service1.AppUserServiceImpl;
import org.springframework.http.HttpStatus;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class T_e_s_t_w_fService {
@Autowired
private T_e_s_t_w_fRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public T_e_s_t_w_f Savedata(T_e_s_t_w_f data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
T_e_s_t_w_f save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<T_e_s_t_w_f> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<T_e_s_t_w_f> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<T_e_s_t_w_f> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public T_e_s_t_w_f getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public T_e_s_t_w_f update(T_e_s_t_w_f data,Integer id) {
	T_e_s_t_w_f old = Repository.findById(id).get();
old.setName(data.getName());

old.setDescription(data.getDescription());

old.setActive (data.isActive());

final T_e_s_t_w_f test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
